Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.textsearch
Class FilteredFileTextSearch

    java.lang.Object
      com.ejie.r01f.textsearch.FilteredFileTextSearch

All Implemented Interfaces:
  DirectiveListener, FileTextSearch

public class FilteredFileTextSearch
extends java.lang.Object
implements DirectiveListener, FileTextSearch

Clase de utilidad para buscar texto en un fichero. La búsqueda se pre-filtra a aquel texto delimitado entre dos marcadores uno de principio y otro de fin. El ejemplo típico es el de la búsqueda de enlaces en un fichero html en el que se filtra por < y >

Constructor Summary
`FilteredFileTextSearch(java.lang.String beginningDelimiter, java.lang.String endingDelimiter)` Constructor a partir de los delimitadores de comienzo y final
`FilteredFileTextSearch(java.lang.String beginningDelimiter, java.lang.String endingDelimiter, TextSearchEventListener eventListener)` Constructor a partir del delimitador de inicio y fin así como de un listener de los eventos

Method Summary
`void` | `doSearch(java.util.Map context, java.lang.String srcFile, TextSearch textSearch)` Busca texto en el fichero de origen
`char[]` | `processDirective(java.lang.String directiveText, long index)` Método llamado por el filtro de directivas cuando se encuentra con una directiva.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredFileTextSearch

    public FilteredFileTextSearch(java.lang.String beginningDelimiter,
                                  java.lang.String endingDelimiter)

  Constructor a partir de los delimitadores de comienzo y final

### FilteredFileTextSearch

    public FilteredFileTextSearch(java.lang.String beginningDelimiter,
                                  java.lang.String endingDelimiter,
                                  TextSearchEventListener eventListener)

  Constructor a partir del delimitador de inicio y fin así como de un listener de los eventos

Method Detail

### processDirective

    public char[] processDirective(java.lang.String directiveText,
                                   long index)

  Description copied from interface: `DirectiveListener`
  Método llamado por el filtro de directivas cuando se encuentra con una directiva.
  El método debe devolver el texto que se ha de devolver despues de procesar la
  directiva. Si NO hay que devolver nada, devolver null o una cadena vacía.

  Specified by:
    `processDirective` in interface `DirectiveListener`
  Parameters:
    `directiveText` - El texto de la directiva.
    `index` - El índice de comienzo de la directiva dentro del texto.
  Returns:
    El texto que se ha de devolver después de procesar la directiva.
    Si NO hay que devolver nada, devolver null o una cadena vacía.

### doSearch

    public void doSearch(java.util.Map context,
                         java.lang.String srcFile,
                         TextSearch textSearch)
                  throws java.io.IOException

  Description copied from interface: `FileTextSearch`
  Busca texto en el fichero de origen

  Specified by:
    `doSearch` in interface `FileTextSearch`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD